Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointSet Class Reference

`#include <vtkPointSet.h>`

Inheritance diagram for vtkPointSet:

[legend]
Collaboration diagram for vtkPointSet:

[legend]
List of all members.

## Detailed Description

abstract class for specifying dataset behavior

Date:
  2002/12/26 18:24:21

Revision:
  1.60

vtkPointSet is an abstract class that specifies the interface for datasets that explicitly use "point" arrays to represent geometry. For example, vtkPolyData and vtkUnstructuredGrid require point arrays to specify point position, while vtkStructuredPoints generates point positions implicitly.

See also:
  vtkPolyData vtkStructuredGrid vtkUnstructuredGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (54%)
  - Law, Charles (11%)
  - Avila, Lisa (9%)
  - Martin, Ken (8%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkPointSet.h)`
  - .`cxx` (`/Common/vtkPointSet.cxx)`

Definition at line 54 of file vtkPointSet.h.

## Public Types
typedef vtkDataSet | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Initialize ()
void | CopyStructure (vtkDataSet *pd)
unsigned long | GetMTime ()
void | ComputeBounds ()
void | Squeeze ()
virtual void | UnRegister (vtkObjectBase *o)
virtual int | GetNetReferenceCount ()
unsigned long | GetActualMemorySize ()
vtkIdType | GetNumberOfPoints ()
float * | GetPoint (vtkIdType ptId)
void | GetPoint (vtkIdType ptId, float x[3])
vtkIdType | FindPoint (float x[3])
vtkIdType | FindPoint (float x, float y, float z)
vtkIdType | FindCell (float x[3], vtkCell *cell, vtkIdType cellId, float tol2, int &subId, float pcoords[3], float *weights)
vtkIdType | FindCell (float x[3], vtkCell *cell, vtkGenericCell *gencell, vtkIdType cellId, float tol2, int &subId, float pcoords[3], float *weights)
virtual void | SetPoints (vtkPoints *)
virtual vtkPoints * | GetPoints ()
void | ShallowCopy (vtkDataObject *src)
void | DeepCopy (vtkDataObject *src)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPointSet * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointSet ()
| ~vtkPointSet ()
## Protected Attributes
vtkPoints * | Points
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkDataSet vtkPointSet::Superclass

| Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid. Definition at line 57 of file vtkPointSet.h.

## Constructor & Destructor Documentation

vtkPointSet::vtkPointSet | ( |  | ) | `[protected]`

vtkPointSet::~vtkPointSet | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPointSet::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

int vtkPointSet::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

virtual int vtkPointSet::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

vtkPointSet* vtkPointSet::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkPointSet::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkPointSet::Initialize | ( |  | ) | `[virtual]`

| Reset to an empty state and free any memory. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkPointSet::CopyStructure | ( | vtkDataSet * | pd | ) | `[virtual]`

| Copy the geometric structure of an input point set object. Implements vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

vtkIdType vtkPointSet::GetNumberOfPoints | ( |  | ) | `[inline, virtual]`

| See vtkDataSet for additional information. Implements vtkDataSet. Reimplemented in vtkStructuredGrid. Definition at line 128 of file vtkPointSet.h. References vtkPoints::GetNumberOfPoints(), Points, and vtkIdType. Referenced by vtkStructuredGrid::GetNumberOfPoints().

float* vtkPointSet::GetPoint | ( | vtkIdType | ptId | ) | `[inline, virtual]`

| See vtkDataSet for additional information. Implements vtkDataSet. Reimplemented in vtkStructuredGrid. Definition at line 69 of file vtkPointSet.h. References vtkIdType. Referenced by vtkStructuredGrid::GetPoint().

void vtkPointSet::GetPoint | ( | vtkIdType | ptId,
|  | float | x[3]
| ) | `[inline, virtual]`

| See vtkDataSet for additional information. Reimplemented from vtkDataSet. Reimplemented in vtkStructuredGrid. Definition at line 70 of file vtkPointSet.h. References vtkIdType.

vtkIdType vtkPointSet::FindPoint | ( | float | x[3] | ) | `[virtual]`

| See vtkDataSet for additional information. Implements vtkDataSet.

vtkIdType vtkPointSet::FindPoint | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| See vtkDataSet for additional information. Reimplemented from vtkDataSet. Definition at line 72 of file vtkPointSet.h. References vtkDataSet::FindPoint(), and vtkIdType.

vtkIdType vtkPointSet::FindCell | ( | float | x[3],
|  | vtkCell * | cell,
|  | vtkIdType | cellId,
|  | float | tol2,
|  | int & | subId,
|  | float | pcoords[3],
|  | float * | weights
| ) | `[virtual]`

| See vtkDataSet for additional information. Implements vtkDataSet.

vtkIdType vtkPointSet::FindCell | ( | float | x[3],
|  | vtkCell * | cell,
|  | vtkGenericCell * | gencell,
|  | vtkIdType | cellId,
|  | float | tol2,
|  | int & | subId,
|  | float | pcoords[3],
|  | float * | weights
| ) | `[virtual]`

| See vtkDataSet for additional information. Implements vtkDataSet.

unsigned long vtkPointSet::GetMTime | ( |  | ) | `[virtual]`

| Get MTime which also considers its vtkPoints MTime. Reimplemented from vtkDataSet.

void vtkPointSet::ComputeBounds | ( |  | ) | `[virtual]`

| Compute the (X, Y, Z) bounds of the data. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData.

void vtkPointSet::Squeeze | ( |  | ) | `[virtual]`

| Reclaim any unused memory. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, and vtkUnstructuredGrid.

virtual void vtkPointSet::SetPoints | ( | vtkPoints * |  | ) | `[virtual]`

| Specify point array to define point coordinates.

virtual vtkPoints* vtkPointSet::GetPoints | ( |  | ) | `[virtual]`

| Specify point array to define point coordinates.

virtual void vtkPointSet::UnRegister | ( | vtkObjectBase * | o | ) | `[virtual]`

| Detect reference loop PointSet <-> locator. Reimplemented from vtkDataObject.

virtual int vtkPointSet::GetNetReferenceCount | ( |  | ) | `[virtual]`

| Get the net reference count. That is the count minus any self created loops. This is used in the Source/Data registration to properly free the objects. Reimplemented from vtkDataObject.

unsigned long vtkPointSet::GetActualMemorySize | ( |  | ) | `[virtual]`

| Return the actual size of the data in kilobytes. This number is valid only after the pipeline has updated. The memory size returned is guaranteed to be greater than or equal to the memory required to represent the data (e.g., extra space in arrays, etc. are not included in the return value). THIS METHOD IS THREAD SAFE. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkPointSet::ShallowCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkPointSet::DeepCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. Reimplemented from vtkDataSet. Reimplemented in vtkPolyData, vtkStructuredGrid, and vtkUnstructuredGrid.

## Member Data Documentation

vtkPoints* vtkPointSet::Points`[protected]`

| Definition at line 120 of file vtkPointSet.h. Referenced by GetNumberOfPoints().

vtkPointLocator* vtkPointSet::Locator`[protected]`

| Definition at line 121 of file vtkPointSet.h.

The documentation for this class was generated from the following file:

- Common/vtkPointSet.h